
Foreman - Feature #27024

Audits cleanup

06/12/2019 11:24 AM - Kavita Gaikwad

Status: Closed   

Priority: High   

Assignee: Dominik Matoulek   

Category: Audit Log   

Target version:    

Difficulty:  Fixed in Releases: 3.1.0

Triaged: No Found in Releases:  

Bugzilla link: 1703496 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8844

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1703496

Description of problem:

Satellite audits cleanup

Version-Release number of selected component (if applicable):

Satellite 6.4.2

How reproducible:

Always

Steps to Reproduce:

1.Some production Satellites have more than 5 million audit entries which degrades the performance of Satellite audit UI.  Need an

automatic cleanup mechanism to remove old audit entries.

Actual results:

Production Satellites accumulate large of Audit data which are not purged.

1. time curl k -u admin https://satellite.example.com/api/audits > audit

Enter host password for user 'admin':

% Total    % Received % Xferd  Average Speed   Time    Time     Time  Current

Dload  Upload   Total   Spent    Left  Speed

100 13950    0 13950    0     0    817      0 -:--:--  0:00:17 --:--:--  3534

real    0m19.485s

user    0m0.047s

sys    0m0.066s

1. head audit {

"total": 5136427,

"subtotal": 5136427,

"page": 1,

"per_page": 30,

"search": null,

"sort": {

"by": null,

"order": null

},

Expected results:

Need an automated purge mechanism for audits.

Additional info:

Related issues:
https://bugzilla.redhat.com/show_bug.cgi?id=1703496
https://satellite.example.com/api/audits


Related to Foreman - Feature #22158: Add a rake task for audits cleanup Closed 01/04/2018

Related to Packaging - Feature #33623: Add cron to audits cleanup Closed

Associated revisions

Revision 40818327 - 10/20/2021 03:03 PM - Dominik Matoulek

Fixes #27024 - Adding audit cleanup duration and update rake task

Adding setting 'audit_period' to know how long saved audits user wants.

Also updating rake task for cleanup to reflect this setting

History

#1 - 07/24/2019 03:07 PM - Lukas Zapletal

- Related to Feature #22158: Add a rake task for audits cleanup added

#2 - 07/25/2019 07:48 AM - Marek Hulán

The rake task is there, we should make it automatically executed, similar to how we clean up reports 

https://github.com/theforeman/foreman-packaging/blob/rpm/develop/packages/foreman/foreman/foreman.cron.d

#3 - 03/24/2021 10:30 AM - Ondřej Ezr

- Subject changed from Satellite audits cleanup to Audits cleanup

#4 - 03/24/2021 10:33 AM - Ondřej Ezr

I do not agree we should run the cleanup automatically. Audits should stay forever unless user say otherwise.

Unless we name this Activity log.

#5 - 10/04/2021 01:04 PM - Dominik Matoulek

- Related to Feature #33623: Add cron to audits cleanup added

#6 - 10/04/2021 01:06 PM - Dominik Matoulek

- Assignee set to Dominik Matoulek

#7 - 10/14/2021 10:36 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8844 added

#8 - 10/20/2021 03:03 PM - The Foreman Bot

- Fixed in Releases 3.1.0 added

#9 - 10/20/2021 04:01 PM - Dominik Matoulek

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|40818327a7d00e7735aad0af4830f6661dff177f.
